CVE-2004-2604
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:36
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in index.php in PHProxy allows remote attackers to inject arbitrary web script or HTML via the error parameter.


[CNNVD]PHProxy错误参数跨站脚本漏洞(CNNVD-200412-843)

        PHProxy的index.php存在跨站脚本(XSS)漏洞。远程攻击者可以借助错误参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phproxy:phproxy:0.1
cpe:/a:phproxy:phproxy:0.3
cpe:/a:phproxy:phproxy:0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2604
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2604
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-843
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18697
(UNKNOWN)  XF  phproxy-error-xss(18697)
http://www.securityfocus.com/bid/12115
(UNKNOWN)  BID  12115
http://www.osvdb.org/12627
(UNKNOWN)  OSVDB  12627
http://securitytracker.com/id?1012702
(UNKNOWN)  SECTRACK  1012702

- 漏洞信息

PHProxy错误参数跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2006-01-23 00:00:00
远程  
        PHProxy的index.php存在跨站脚本(XSS)漏洞。远程攻击者可以借助错误参数注入任意web脚本或HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

12627
PHProxy index.php error Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

PHProxy contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the error variable upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-12-27 Unknow
2004-12-27 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站